curl --request GET \
--url '{{BASE_URL}}/v3/order/<order_id>/psc/info' \
--header 'accept: application/json' \
--header 'x-vital-api-key: YOUR_API_KEY'
from junction import Junction
from junction.environment import JunctionEnvironment
client = Junction(
api_key="YOUR_API_KEY",
environment=JunctionEnvironment.SANDBOX,
)
data = client.lab_tests.get_order_psc_info("<order_id>")
import { JunctionClient, JunctionEnvironment } from "@junction-api/sdk";
const client = new JunctionClient({
apiKey: "YOUR_API_KEY",
environment: JunctionEnvironment.Sandbox,
});
const data = await client.labTests.getOrderPscInfo({ orderId: "<order_id>" });
import com.junction.api.Junction;
import com.junction.api.core.Environment;
Junction client = Junction.builder()
.apiKey("YOUR_API_KEY")
.environment(Environment.SANDBOX)
.build();
var data = client.labTests().getOrderPscInfo("<order_id>");
import (
"context"
junction "github.com/junction-api/junction-go"
"github.com/junction-api/junction-go/client"
"github.com/junction-api/junction-go/option"
)
c := client.NewClient(
option.WithApiKey("YOUR_API_KEY"),
option.WithBaseURL(junction.Environments.Sandbox),
)
response, err := c.LabTests.GetOrderPscInfo(context.TODO(), &junction.GetOrderPscInfoLabTestsRequest{
OrderId: "<order_id>",
})
if err != nil {
return err
}
fmt.Printf("Received data %s\n", response)
{
"lab_id": 27,
"slug": "labcorp",
"patient_service_centers": [
{
"metadata": {
"name": "LABCORP",
"state": "AZ",
"city": "Phoenix",
"zip_code": "85006",
"first_line": "1300 N 12th St",
"second_line": "Ste 300",
"phone_number": "480-878-3988",
"fax_number": "844-346-5903",
"hours": null
},
"distance": "25",
"capabilities": ["stat"]
}
]
}
Area Info
Get order PSC info
Retrieve order psc info via the Junction API. Requires authentication with your team API key.
GET
/
v3
/
order
/
{order_id}
/
psc
/
info
curl --request GET \
--url '{{BASE_URL}}/v3/order/<order_id>/psc/info' \
--header 'accept: application/json' \
--header 'x-vital-api-key: YOUR_API_KEY'
from junction import Junction
from junction.environment import JunctionEnvironment
client = Junction(
api_key="YOUR_API_KEY",
environment=JunctionEnvironment.SANDBOX,
)
data = client.lab_tests.get_order_psc_info("<order_id>")
import { JunctionClient, JunctionEnvironment } from "@junction-api/sdk";
const client = new JunctionClient({
apiKey: "YOUR_API_KEY",
environment: JunctionEnvironment.Sandbox,
});
const data = await client.labTests.getOrderPscInfo({ orderId: "<order_id>" });
import com.junction.api.Junction;
import com.junction.api.core.Environment;
Junction client = Junction.builder()
.apiKey("YOUR_API_KEY")
.environment(Environment.SANDBOX)
.build();
var data = client.labTests().getOrderPscInfo("<order_id>");
import (
"context"
junction "github.com/junction-api/junction-go"
"github.com/junction-api/junction-go/client"
"github.com/junction-api/junction-go/option"
)
c := client.NewClient(
option.WithApiKey("YOUR_API_KEY"),
option.WithBaseURL(junction.Environments.Sandbox),
)
response, err := c.LabTests.GetOrderPscInfo(context.TODO(), &junction.GetOrderPscInfoLabTestsRequest{
OrderId: "<order_id>",
})
if err != nil {
return err
}
fmt.Printf("Received data %s\n", response)
{
"lab_id": 27,
"slug": "labcorp",
"patient_service_centers": [
{
"metadata": {
"name": "LABCORP",
"state": "AZ",
"city": "Phoenix",
"zip_code": "85006",
"first_line": "1300 N 12th St",
"second_line": "Ste 300",
"phone_number": "480-878-3988",
"fax_number": "844-346-5903",
"hours": null
},
"distance": "25",
"capabilities": ["stat"]
}
]
}
curl --request GET \
--url '{{BASE_URL}}/v3/order/<order_id>/psc/info' \
--header 'accept: application/json' \
--header 'x-vital-api-key: YOUR_API_KEY'
from junction import Junction
from junction.environment import JunctionEnvironment
client = Junction(
api_key="YOUR_API_KEY",
environment=JunctionEnvironment.SANDBOX,
)
data = client.lab_tests.get_order_psc_info("<order_id>")
import { JunctionClient, JunctionEnvironment } from "@junction-api/sdk";
const client = new JunctionClient({
apiKey: "YOUR_API_KEY",
environment: JunctionEnvironment.Sandbox,
});
const data = await client.labTests.getOrderPscInfo({ orderId: "<order_id>" });
import com.junction.api.Junction;
import com.junction.api.core.Environment;
Junction client = Junction.builder()
.apiKey("YOUR_API_KEY")
.environment(Environment.SANDBOX)
.build();
var data = client.labTests().getOrderPscInfo("<order_id>");
import (
"context"
junction "github.com/junction-api/junction-go"
"github.com/junction-api/junction-go/client"
"github.com/junction-api/junction-go/option"
)
c := client.NewClient(
option.WithApiKey("YOUR_API_KEY"),
option.WithBaseURL(junction.Environments.Sandbox),
)
response, err := c.LabTests.GetOrderPscInfo(context.TODO(), &junction.GetOrderPscInfoLabTestsRequest{
OrderId: "<order_id>",
})
if err != nil {
return err
}
fmt.Printf("Received data %s\n", response)
{
"lab_id": 27,
"slug": "labcorp",
"patient_service_centers": [
{
"metadata": {
"name": "LABCORP",
"state": "AZ",
"city": "Phoenix",
"zip_code": "85006",
"first_line": "1300 N 12th St",
"second_line": "Ste 300",
"phone_number": "480-878-3988",
"fax_number": "844-346-5903",
"hours": null
},
"distance": "25",
"capabilities": ["stat"]
}
]
}
Authorizations
Vital Team API Key
Path Parameters
Your Order ID.
Query Parameters
Radius in which to search in miles
Available options:
10, 20, 25, 50, 100 Filter for only locations with certain capabilities
ℹ️ This enum is non-exhaustive.
Available options:
stat, appointment_scheduling_via_junction, appointment_scheduling_with_lab Response
Successful Response
ℹ️ This enum is non-exhaustive.
Available options:
ayumetrix, spiriplex, ussl, quest, sonora_quest, labcorp, bioreference, us_biotek, manual, sanocardio, ihd, nexus, my_uti, crl, mtl Show child attributes
Show child attributes
Was this page helpful?
⌘I